;; This file is used to warn users when they attempt to load a plugin that
;; pulls in a dependency which conflicts with something already in use
;; by Leiningen itself.

;; This code regenerates the map
#_(do (require '[leiningen.core.project :as project])
      (require '[leiningen.core.classpath :as cp])
      (require '[clojure.pprint :as pp])

      (defn artifacts [h]
        (apply concat (keys h) (map artifacts (vals h))))

      (let [hierarchy (cp/managed-dependency-hierarchy :dependencies
                                                       :managed-dependencies
                                                       (project/read))]
        (-> (into {} (for [[a v] (artifacts hierarchy)]
                       [a v]))
            ;; Unhelpful to warn on these:
            (dissoc 'org.clojure/clojure)
            (dissoc 'leiningen-core)
            (pp/pprint))))
{
 clojure-complete "debian"
 com.cemerick/pomegranate "debian"
 com.google.guava/guava "debian"
 com.hypirion/io "debian"
 commons-codec "debian"
 commons-io "debian"
 commons-lang "debian"
 commons-logging "debian"
 javax.inject "debian"
 net.cgrand/parsley "debian"
 net.cgrand/regex "debian"
 net.cgrand/sjacket "debian"
 nrepl "debian"
 org.apache.commons/commons-lang3 "debian"
 org.apache.httpcomponents/httpclient "debian"
 org.apache.httpcomponents/httpcore "debian"
 org.apache.maven.resolver/maven-resolver-api "debian"
 org.apache.maven.resolver/maven-resolver-connector-basic "debian"
 org.apache.maven.resolver/maven-resolver-impl "debian"
 org.apache.maven.resolver/maven-resolver-spi "debian"
 org.apache.maven.resolver/maven-resolver-transport-file "debian"
 org.apache.maven.resolver/maven-resolver-transport-http "debian"
 org.apache.maven.resolver/maven-resolver-transport-wagon "debian"
 org.apache.maven.resolver/maven-resolver-util "debian"
 org.apache.maven.wagon/wagon-http "debian"
 org.apache.maven.wagon/wagon-http-shared "debian"
 org.apache.maven.wagon/wagon-provider-api "debian"
 org.apache.maven/maven-artifact "debian"
 org.apache.maven/maven-builder-support "debian"
 org.apache.maven/maven-model "debian"
 org.apache.maven/maven-model-builder "debian"
 org.apache.maven/maven-repository-metadata "debian"
 org.apache.maven/maven-resolver-provider "debian"
 org.clojure/core.specs.alpha "debian"
 org.clojure/data.xml "debian"
 org.clojure/spec.alpha "debian"
 org.clojure/tools.macro "debian"
 org.codehaus.plexus/plexus-component-annotations "debian"
 org.codehaus.plexus/plexus-interpolation "debian"
 org.codehaus.plexus/plexus-utils "debian"
 org.flatland/classlojure "debian"
 org.jsoup/jsoup "debian"
 org.slf4j/slf4j-api "debian"
 org.slf4j/slf4j-nop "debian"
 org.tcrawley/dynapath "debian"
 quoin "debian"
 robert/hooke "debian"
 scout "debian"
 stencil "debian"
 timofreiberg/bultitude "debian"
 }
